| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::ToolsView Class Reference
Inheritance diagram for Digikam::ToolsView:

## Public Types
enum | ViewTabs { TOOLS = 0 , WORKFLOW , HISTORY }

## Signals
void | signalAssignQueueSettings (QString)
void | signalAssignTools (const QMultiMap< int, QString > &)
void | signalHistoryEntryClicked (int, qlonglong)
void | signalUpdateQueueSettings (QString)

## Public Member Functions
| ToolsView (QWidget *const parent=nullptr)
void | addHistoryEntry (const QString &msg, DHistoryView::EntryType type, int queueId=-1, qlonglong itemId=-1)
void | addTool (BatchTool *const tool)
bool | removeTool (BatchTool *const tool)
void | setBusy (bool b)
void | showTab (ViewTabs t)